Subject: [ietf-dkim] New DKIM canonicalization, was dkim-delegate-00

From: Alessandro Vesely <[email-masked]>
Date: Sun, 15 Jun 2014 12:06:10 +0200

On Sun 15/Jun/2014 08:15:18 +0200 Dave Crocker wrote:
> On 6/15/2014 8:01 AM, Murray S. Kucherawy wrote:
>> 
>> Somewhat less bogus than a new canonicalization that imparts new
>> semantics; a new tag would, one would think, always impart new semantics
>> in the first place.
> 
> I do not understand this predilection for trying to change the DKIM base
> engine.  It doesn't need it.
> 
> I also don't understand the construct of 'special handling', nevermind
> not liking the idea of it, especially since it explicitly creates the
> complexity of "depends on the header field".
> 
> What I was suggesting was merely registering a new canonicalization
> algorithm.  Legacy DKIM implementations won't understand it.  New ones
> (presumably also modified to know about DMARC) will.
> 
> The new canonicalization should have actual differences from the current
> ones that are deemed worthy for general use.
> 
> For example, how about 'very-relaxed' which is like relaxed but
> eliminates all WSP from the calculation rather than just compressing it?

Let's take the occasion to also have it eliminate quotation marks.
See http://mipassoc.org/pipermail/ietf-dkim/2011q2/016518.html and
following discussions.

Ale
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html